//-------------------------------------------------------------------------------------------------
// Rgba.cpp (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.hpp"
#include "Rgba.hpp"


//-------------------------------------------------------------------------------------------------
// Static member initialization
//-------------------------------------------------------------------------------------------------
STATIC const Rgba Rgba::WHITE		( 255,	255,	255 );
STATIC const Rgba Rgba::BLACK		( 0,	0,		0 );
STATIC const Rgba Rgba::RED			( 255,	0,		0 );
STATIC const Rgba Rgba::GREEN		( 0,	255,	0 );
STATIC const Rgba Rgba::BLUE		( 0,	0,		255 );
STATIC const Rgba Rgba::YELLOW		( 255,	255,	0 );
STATIC const Rgba Rgba::PURPLE		( 255,	0,		255 );
STATIC const Rgba Rgba::CYAN		( 0,	255,	255 );
STATIC const Rgba Rgba::ORANGE		( 255,	128,	0 );
STATIC const Rgba Rgba::GREY		( 128,	128,	128 );

STATIC const Rgba Rgba::DARKRED		( 128,	0,		0 );
STATIC const Rgba Rgba::DARKGREEN	( 0,	128,	0 );
STATIC const Rgba Rgba::DARKBLUE	( 0,	0,		128 );
STATIC const Rgba Rgba::DARKYELLOW	( 128,	128,	0 );
STATIC const Rgba Rgba::DARKPURPLE	( 128,	0,		128 );
STATIC const Rgba Rgba::DARKCYAN	( 0,	128,	128 );
STATIC const Rgba Rgba::DARKORANGE	( 128,	64,		0 );
STATIC const Rgba Rgba::DARKGREY	( 64,	64,		64 );


