//-------------------------------------------------------------------------------------------------
// MapElement.cpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.hpp"
#include "MapElement.hpp"


//-------------------------------------------------------------------------------------------------
// Destructor()
//-------------------------------------------------------------------------------------------------
VIRTUAL MapElement::~MapElement()
{
	DebugPrintf( "~MapElement() called\n" );
}


//-------------------------------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------------------------------
MapElement::MapElement()
:
m_highlightFrameNumber( 0 ),
m_isSelected( false ),
m_isMarked( false ),
m_type( ELEMENT_TYPE_UNDEFINED )
{
	DebugPrintf( "MapElement() called\n" );
}



