//-------------------------------------------------------------------------------------------------
// MapLinedef.cpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.hpp"
#include "MapLinedef.hpp"


//-------------------------------------------------------------------------------------------------
// Destructor()
//-------------------------------------------------------------------------------------------------
MapLinedef::~MapLinedef()
{
}


//-------------------------------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------------------------------
MapLinedef::MapLinedef( MapVertex* start, MapVertex* end )
:
m_start( start ),
m_end( end )
//m_normal( 1.0f, 0.0f ),
//m_offset( 0.0f ),
//m_length( 1.0f ),
{
	m_type = ELEMENT_TYPE_LINEDEF;
}


//-------------------------------------------------------------------------------------------------
// Translate
//-------------------------------------------------------------------------------------------------
VIRTUAL void MapLinedef::Translate( const Vector2& translation )
{
	m_start->Translate( translation );
	m_end->Translate( translation );
}




