//-------------------------------------------------------------------------------------------------
// MapObject.cpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.hpp"
#include "MapObject.hpp"


//-------------------------------------------------------------------------------------------------
// Destructor()
//-------------------------------------------------------------------------------------------------
MapObject::~MapObject()
{
}


//-------------------------------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------------------------------
MapObject::MapObject( const Vector2& pos )
:
m_pos( pos )
{
	m_type = ELEMENT_TYPE_OBJECT;
}


//-------------------------------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------------------------------
MapObject::MapObject( const MapObject& objectToCopy, const Vector2& pos )
:
m_pos( pos )
{
	m_properties = objectToCopy.m_properties;
}



//-------------------------------------------------------------------------------------------------
// Translate
//-------------------------------------------------------------------------------------------------
VIRTUAL void MapObject::Translate( const Vector2& translation )
{
	m_pos += translation;
}


