//-------------------------------------------------------------------------------------------------
// MapVertex.hpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#ifndef _include_MapVertex_
#define _include_MapVertex_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
#include "MapElement.hpp"
#include "gameCommon.hpp"


class MapLinedef;


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		MapVertex
// 
///////////////////////////////////////////////////////////////////////////////////////////////////
class MapVertex : public MapElement
{
private:
public:
	MapVertex( const Vector2& pos );
	~MapVertex();

	virtual void Translate( const Vector2& translation );

	Vector2						m_pos;
	std::list<MapLinedef*>		m_linedefs;
};


#endif // _include_MapVertex_
