#ifndef __ITEM_HPP__
#define __ITEM_HPP__

#include <Vector2.hpp>
#include "MapObject.hpp"
#include "Animation.hpp"


class Item
{
public:

	Item( MapObject* mapObject );
	~Item();

	MapObject*		mapObject;

	void Draw();

	bool IsCollectable() const;
	bool IsBallSpawn() const ;

	Vector2		pos;
	float		radius;
	
protected:

	Animation*	_anim;

};

#endif //__ITEM_HPP__