//-------------------------------------------------------------------------------------------------
// MapObject.hpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#ifndef _include_MapObject_
#define _include_MapObject_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
#include "MapElement.hpp"
#include "MapProperties.hpp"
#include "gameCommon.hpp"


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		MapObject
// 
///////////////////////////////////////////////////////////////////////////////////////////////////
class MapObject : public MapElement
{
private:
public:
	/// Members
	Vector2				m_pos;
	MapProperties		m_properties;

	/// Constructors
	MapObject( const Vector2& pos );
	MapObject( const MapObject& objectToCopy, const Vector2& pos );
	~MapObject();

	/// Methods
	virtual void Translate( const Vector2& translation );
};


#endif // _include_MapObject_
