//-------------------------------------------------------------------------------------------------
// MapVertex.cpp (game)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#include "pch.hpp"
#include "MapVertex.hpp"


//-------------------------------------------------------------------------------------------------
// Destructor()
//-------------------------------------------------------------------------------------------------
MapVertex::~MapVertex()
{
}


//-------------------------------------------------------------------------------------------------
// Constructor
//-------------------------------------------------------------------------------------------------
MapVertex::MapVertex( const Vector2& pos )
:
m_pos( pos )
{
	m_type = ELEMENT_TYPE_VERTEX;
}


//-------------------------------------------------------------------------------------------------
// Translate
//-------------------------------------------------------------------------------------------------
VIRTUAL void MapVertex::Translate( const Vector2& translation )
{
	m_pos += translation;
}


